def liste_termes(n):
    u = 4
    liste = [u]
    for k in range(1,n):
        u = 2*u-3
        liste.append(u)
    return(liste)

import matplotlib.pyplot as plt

def graphique(n):
    plt.plot(liste_termes(n),'o')
    plt.show()
    return()
